## CORBA Interface IResultPackageLibraryMemberEntry

Describes the available result package library member entry component actions.

### Definition

CORBA Module SAS

### IResultPackageLibraryMemberEntry Description

This component facilitates result package SAS library member entry manipulation. You may obtain attributes associated with the library member entry, retrieve the libname and member name associated with the library member entry, or assign the libname and member name associated with the library member entry.

CORBA Definitions
attribute ResultPackage | The parent of this component.
attribute Index | Index of SAS library member entry within containing result package.
attribute Description | SAS library member entry description.
attribute NameValues | SAS library member entry name/value pairs.
attribute MemberType | SAS library member entry SAS member type.
attribute Libname | SAS library entry member libname.
attribute Member | SAS library member entry member name.
method GetNameValuePairs | SAS library entry member parsed name/value pairs.

Java Classes
IResultPackageLibraryMemberEntryHelper | Used to manipulate the IResultPackageLibraryMemberEntry type
IResultPackageLibraryMemberEntryHolder | Used to process the IResultPackageLibraryMemberEntry type as an out parameter

Java Interfaces
IResultPackageLibraryMemberEntry | Describes the available result package library member entry component actions.

Java Interface IResultPackageLibraryMemberEntry

Describes the available result package library member entry component actions.

Package com.sas.iom.SAS

IResultPackageLibraryMemberEntry Description
This component facilitates result package SAS library member entry manipulation. You may obtain attributes associated with the library member entry, retrieve the libname and member name associated with the library member entry, or assign the libname and member name associated with the library member entry.

`public interface IResultPackageLibraryMemberEntry
extends org.omg.CORBA.Object`

Method Summary

void | GetNameValuePairs ( VariableArray2dOfStringHolder nvPairs ) throws ( GenericError ); SAS library entry member parsed name/value pairs.

Java Class IResultPackageLibraryMemberEntryHelper

public class IResultPackageLibraryMemberEntryHelper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IResultPackageLibraryMemberEntry type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IResultPackageLibraryMemberEntryHelper

Java Class IResultPackageLibraryMemberEntryHolder

public class IResultPackageLibraryMemberEntryHolder

Description
Implementing class for methods (_read, _write, _type) used to process the IResultPackageLibraryMemberEntry type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IResultPackageLibraryMemberEntryHolder

CORBA Attribute ResultPackage (readonly)

The parent of this component.

Description
Use this attribute to navigate back to the ResultPackage component which is the parent of this component.

Usage

Java Method ResultPackage

    public IResultPackage ResultPackage ();

CORBA Attribute Index (readonly)

Index of SAS library member entry within containing result package.

Description
Identifies which result package entry corresponds to this component.

Usage

Java Method Index

    public int Index ();

CORBA Attribute Description (readonly)

SAS library member entry description.

Description
Use this attribute to obtain the description associated with this library member entry. The description is assigned when the library member entry is created.

Usage

Java Method Description

    public java.lang.String Description ();

CORBA Attribute NameValues (readonly)

SAS library member entry name/value pairs.

Description
Use this attribute to obtain the name/value pairs associated with this library member entry. The name/value pairs are assigned when the library member entry is created.

Usage

Java Method NameValues

    public java.lang.String NameValues ();

CORBA Attribute MemberType (readonly)

SAS library member entry SAS member type.

Description
Use this attribute to obtain the SAS member type of the library member entry. A list of possible member types can be found in the "SAS Language" documentation - common member types are DATA, CATALOG, VIEW and ACCESS. The SAS member type is assigned when the library member entry is created.

Usage

Java Method MemberType

    public java.lang.String MemberType ();

CORBA Attribute Libname (readonly)

SAS library entry member libname.

Description
Use this attribute to obtain the libname of the library member entry. The libname is assigned when the library member entry is created.

Usage

Java Method Libname

    public java.lang.String Libname ();

CORBA Attribute Member (readonly)

SAS library member entry member name.

Description
Use this attribute to obtain the member name of the library member entry. The member name is assigned when the library member entry is created.

Usage

Java Method Member

    public java.lang.String Member ();

CORBA Method GetNameValuePairs

SAS library entry member parsed name/value pairs.

Description
Call this method to return a two dimensional string array containing the parsed name/value pairs.

Usage

Java Method GetNameValuePairs

`void` GetNameValuePairs (

        VariableArray2dOfStringHolder nvPairs
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
nvPairs | out | VariableArray2dOfStringHolder | A two dimensional string array containing the parsed name/value pairs. The two dimensional string array is populated in the following manner:
       For the NameValues: "name1 name2=a name3=(b,c)"
       GetNameValuePairs would return:
                     Column 0   Column 1
            Row 0    "name1"
            Row 1    "name2"    "a"
            Row 2    "name3"    "b"
            Row 3               "c"

Example